<<

# Bugzilla::WebService::BugUserLastVisit

- NAME
- METHODS
  - update
  - get

# NAME

Bugzilla::WebService::BugUserLastVisit - Find and Store the last time a user visited a bug.

# METHODS

See Bugzilla::WebService for a description of how parameters are passed, and what STABLE, UNSTABLE, and EXPERIMENTAL mean.

Although the data input and output is the same for JSONRPC, XMLRPC and REST, the directions for how to access the data via REST is noted in each method where applicable.

## update

EXPERIMENTAL

Description

  Update the last visit time for the specified bug and current user.

REST

  To add a single bug id:

          POST /rest/bug_user_last_visit/<bug-id>

  Tp add one or more bug ids at once:

          POST /rest/bug_user_last_visit

  The returned data format is the same as below.

Params
  `ids` (array) - One or more bug ids to add.
Returns
  `array` - An array of hashes containing the following:
    `id` - (int) The bug id.
    `last_visit_ts` - (string) The timestamp the user last visited the bug.

## get

EXPERIMENTAL

Description

  Get the last visited timestamp for one or more specified bug ids.

REST

  To return the last visited timestamp for a single bug id:

          GET /rest/bug_user_last_visit/<bug-id>

Params
  `ids` (integer) - One or more optional bug ids to get.
Returns
  `array` - An array of hashes containing the following:
    `id` - (int) The bug id.
    `last_visit_ts` - (string) The timestamp the user last visited the bug.

<<